Loading...
Searching...
No Matches
XrdSecProtList Class Reference
Collaboration diagram for XrdSecProtList:

## Public Member Functions

| XrdSecProtList (const char *pid, const char *parg, bool tls)
| ~XrdSecProtList ()

## Public Attributes

XrdSecProtocol *(* | ep )(PROTPARMS)
bool | needTLS
XrdSecProtList * | Next
char * | protargs
char | protid [XrdSecPROTOIDSIZE+1]
XrdSecPMask_t | protnum

## Detailed Description

Definition at line 63 of file XrdSecPManager.cc.

## Constructor & Destructor Documentation

## XrdSecProtList()

XrdSecProtList::XrdSecProtList | ( | const char * | pid,
|  | const char * | parg,
|  | bool | tls )

inline

Definition at line 74 of file XrdSecPManager.cc.

: needTLS(tls), ep(0), Next(0)
{strncpy(protid, pid, sizeof(protid)-1);
protid[XrdSecPROTOIDSIZE] = '\0';
protargs = (parg ? strdup(parg): (char *)"");
}
XrdSecPROTOIDSIZE
#define XrdSecPROTOIDSIZE
Definition XrdSecEntity.hh:47
XrdSecProtList::protid
char protid[XrdSecPROTOIDSIZE+1]
Definition XrdSecPManager.cc:69
XrdSecProtList::ep
XrdSecProtocol *(* ep)(PROTPARMS)
Definition XrdSecPManager.cc:71
XrdSecProtList::needTLS
bool needTLS
Definition XrdSecPManager.cc:68
XrdSecProtList::protargs
char * protargs
Definition XrdSecPManager.cc:70
XrdSecProtList::Next
XrdSecProtList * Next
Definition XrdSecPManager.cc:72

References ep, needTLS, Next, protargs, protid, and XrdSecPROTOIDSIZE.

## ~XrdSecProtList()

XrdSecProtList::~XrdSecProtList | ( |  | ) |

inline

Definition at line 80 of file XrdSecPManager.cc.

{} // ProtList objects never get freed!

## Member Data Documentation

## ep

XrdSecProtocol *(* XrdSecProtList::ep) (PROTPARMS)

Definition at line 71 of file XrdSecPManager.cc.

Referenced by XrdSecProtList(), XrdSecPManager::Get(), and XrdSecPManager::Get().

## needTLS

bool XrdSecProtList::needTLS

Definition at line 68 of file XrdSecPManager.cc.

Referenced by XrdSecProtList().

## Next

XrdSecProtList* XrdSecProtList::Next

Definition at line 72 of file XrdSecPManager.cc.

Referenced by XrdSecProtList().

## protargs

char* XrdSecProtList::protargs

Definition at line 70 of file XrdSecPManager.cc.

Referenced by XrdSecProtList(), XrdSecPManager::Find(), and XrdSecPManager::Get().

## protid

char XrdSecProtList::protid[XrdSecPROTOIDSIZE+1]

Definition at line 69 of file XrdSecPManager.cc.

Referenced by XrdSecProtList().

## protnum

XrdSecPMask_t XrdSecProtList::protnum

Definition at line 67 of file XrdSecPManager.cc.

Referenced by XrdSecPManager::Find().

The documentation for this class was generated from the following file:

- XrdSecPManager.cc